package com.xylink.sdk.file;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.xylink.config.SDKConfigMgr;
import com.xylink.model.FileUploadVerifyReq;
import com.xylink.util.HttpUtil;
import com.xylink.util.Result;
import com.xylink.util.SignatureSample;

import java.io.IOException;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2019-09-02
 */
public class FileManageApi {
    private static SignatureSample signatureSample = new SignatureSample();
    private static final String prefixUrl = "/api/rest/external/v1/file";
    private static final ObjectMapper objectMapper = new ObjectMapper();

    public Result uploadFace(String enterpriseId, String token, FileUploadVerifyReq fileUploadVerifyReq) throws IOException {
        String surl = getPrefixUrl(enterpriseId) + "/upload/verify" + "?enterpriseId=" + enterpriseId;
        String jsonEntity = objectMapper.writeValueAsString(fileUploadVerifyReq);
        surl = signatureSample.appendSigniture(jsonEntity,"PUT",token,surl);

        return HttpUtil.getResponse(surl,"PUT", jsonEntity,String.class);
    }

    private String getPrefixUrl(String enterpriseId) {
        return SDKConfigMgr.getServerHost(enterpriseId) + prefixUrl;
    }
}
